
import com.dslplatform.json.DslJson;
import com.dslplatform.json.runtime.Settings;
import org.junit.Assert;
import org.junit.Test;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.*;

public class TestSimplePojo {


  /*//@Test
  public void testRuntime() throws IOException {

    DslJson<Object> dslJsonList = new DslJson<>(Settings.withRuntime());
    byte[] buffer = "{\"new_key\":\"test\",\"buffer_key\":\"buffertest\"}".getBytes("UTF-8");
    SimplePojo deser = dslJsonList.deserialize(SimplePojo.class, buffer, buffer.length);
    ByteArrayOutputStream ba = new ByteArrayOutputStream();
    dslJsonList.serialize(deser, ba);
    System.out.println(ba.toString());
    Assert.assertEquals("{\"new_key\":\"test\",\"buffer_key\":\"buffertest\"}",ba.toString());
  }*/


  @Test
  public void testCompileTime() throws IOException {

    DslJson<Object> dslJsonList = new DslJson<>(Settings.basicSetup());
    byte[] buffer = "{\"new_key\":\"test\"}".getBytes("UTF-8");
    SimplePojo deser = dslJsonList.deserialize(SimplePojo.class, buffer, buffer.length);
    ByteArrayOutputStream ba = new ByteArrayOutputStream();
    dslJsonList.serialize(deser, ba);
    System.out.println(ba.toString());
    Assert.assertEquals("{\"new_key\":\"test\"}",ba.toString());

  }


}

